package cn.freemud.entities.dto.promotion;

import io.swagger.annotations.ApiModelProperty;

public class ActivityCombinationGoodsVO {
    private Long activityId;
    private Long benefitId;
    @ApiModelProperty(value="品牌", name="brand", example="tongyi")
    private String brand;

    /**
     * 商品品类
     */
    @ApiModelProperty(value="品类", name="category", example="yinliao")
    private String category;

    @ApiModelProperty(value="商品id", name="goodsId", example="bingtangxueli")
    private String goodsId;
    @ApiModelProperty(value="商品名", name="goodsName", example="冰糖雪梨")
    private String goodsName;

    private Integer quantityLimit;

    public Long getActivityId() {
        return activityId;
    }

    public void setActivityId(Long activityId) {
        this.activityId = activityId;
    }

    public Long getBenefitId() {
        return benefitId;
    }

    public void setBenefitId(Long benefitId) {
        this.benefitId = benefitId;
    }

    public String getBrand() {
        return brand;
    }

    public void setBrand(String brand) {
        this.brand = brand;
    }

    public String getCategory() {
        return category;
    }

    public void setCategory(String category) {
        this.category = category;
    }

    public String getGoodsId() {
        return goodsId;
    }

    public void setGoodsId(String goodsId) {
        this.goodsId = goodsId;
    }

    public String getGoodsName() {
        return goodsName;
    }

    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }

    public Integer getQuantityLimit() {
        return quantityLimit;
    }

    public void setQuantityLimit(Integer quantityLimit) {
        this.quantityLimit = quantityLimit;
    }
}
